> For the complete documentation index, see [llms.txt](https://developer.perculus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.perculus.com/perculus-api/services/kullanici-yonetimi/user-detail.md).

# Kullanıcı Detay

Bir kullanıcın iki farklı şekilde detayını görüntüleyebilirsiniz:

* [User\_ID parametresi ile](#user_id-parametresi-ile-kullanici-goruntuleme)
* [UserName parametresi ile](#username-parametresi-ile-kullanici-detay-goruntuleme)

### User\_ID Parametresi ile Kullanıcı Görüntüleme

**Aşağıdaki şekilde parametre olarak USER\_ID vererek kullanıcı detayı görüntüleme işlemi yapabilirsiniz:**

{% tabs %}
{% tab title="CURL" %}

```bash
curl --location --request GET 'https://<DOMAIN>/xapi/user/<USER_ID>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: x-www-form-urlencoded'
```

{% endtab %}

{% tab title="Python" %}
İlk olarak Python SDK'sı yüklenmelidir:

```bash
pip install perculus-sdk
```

SDK'nın yüklendiğinden emin olunduktan sonra aşağıdaki şekilde kullanıcı detay görüntüleme işlemi yapabilirsiniz:

```python
from perculus_sdk.client import APIClient

# API client
client = APIClient()

# Set your domain (if you haven't set it before)
client.set_domain("<DOMAIN>")

# Set your credentials(if you haven't set it before)
client.set_credentials(
    access_key="<EMAIL>",
    secret_key="<PASSWORD>",
    account_id="<ACCOUNT_ID>"
)

#Get user by id
user = client.users.get_user_by_id("<USER_ID>")
print(user)
```

{% endtab %}

{% tab title="C#" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="NodeJS" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="Go" %}

```
// ASAP :)
```

{% endtab %}
{% endtabs %}

İstek sonrasında aşağıdaki örnek response modelini görebilirsiniz:

```json
{
    "user_id": "<USER_ID>",
    "name": "john",
    "surname": "Doe",
    "username": "johndoe",
    "email": "john@doe.com",
    "role": "u",
    "mobile": "",
    "login_allowed": true,
    "status": 1,
    "lang": "tr-TR",
    "timezone": null,
    "expires_at": null,
    "creation_date": "2024-08-01T00:45:03.8888474+00:00",
    "updating_date": null
}
```

### UserName Parametresi ile Kullanıcı Detay Görüntüleme

**Aşağıdaki şekilde parametre olarak USERNAME vererek kullanıcı detayı görüntüleme işlemi yapabilirsiniz:**

{% tabs %}
{% tab title="CURL" %}

```bash
curl --location --request GET 'https://<DOMAIN>/xapi/user/<USERNAME>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: x-www-form-urlencoded'
```

{% endtab %}

{% tab title="Python" %}
İlk olarak Python SDK'sı yüklenmelidir:

```bash
pip install perculus-sdk
```

SDK'nın yüklendiğinden emin olunduktan sonra aşağıdaki şekilde kullanıcı detay görüntüleme işlemi yapabilirsiniz:

```python
from perculus_sdk.client import APIClient

# API client
client = APIClient()

# Set your domain (if you haven't set it before)
client.set_domain("<DOMAIN>")

# Set your credentials(if you haven't set it before)
client.set_credentials(
    access_key="<EMAIL>",
    secret_key="<PASSWORD>",
    account_id="<ACCOUNT_ID>"
)

#Get user by username
user = client.users.get_user_by_username("<USERNAME>")
print(user)
```

{% endtab %}

{% tab title="C#" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="NodeJS" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="Go" %}

```
// ASAP :)
```

{% endtab %}
{% endtabs %}

İstek sonrasında aşağıdaki örnek response modelini görebilirsiniz:

```json
{
    "user_id": "<USER_ID>",
    "name": "john",
    "surname": "Doe",
    "username": "johndoe",
    "email": "john@doe.com",
    "role": "u",
    "mobile": "",
    "login_allowed": true,
    "status": 1,
    "lang": "tr-TR",
    "timezone": null,
    "expires_at": null,
    "creation_date": "2024-08-01T00:45:03.8888474+00:00",
    "updating_date": null
}
```
